#ifndef MP1092_h
#define MP1092_h

#include "Arduino.h"

//=========================PCA9532===========================
//#define   MP1092_address     0x60    //PCA9532 slave address
//===================================================
#define   MP1092_INPUT0      0x0     //Input register 0 (pins 0 to 7)
#define   MP1092_INPUT1      0x1     //Input register 1 (pins 8 to 15)
#define   MP1092_PSC0        0x2     //Frequensy prescaler 0
#define   MP1092_PWM0        0x3     //PWM register 0
#define   MP1092_PSC1        0x4     //Frequensy prescaler 1
#define   MP1092_PWM1        0x5     //PWM register 1
#define   MP1092_LS0         0x6     //LED 0-3 selector
#define   MP1092_LS1         0x7     //LED 4-7 selector
#define   MP1092_LS2         0x8     //LED 8-11 selector
#define   MP1092_LS3         0x9     //LED 12-15 selector
#define   MP1092_AUTO_INCR   0x10    //Auto-increment flag

//=================== ======================
//ledNumber -     LSx -    0, 1, 2  3
#define   LED_OFF(ledNumber)      (0<<(ledNumber*2))  //Output is set Hi-Z (LED off-default)
#define   LED_ON(ledNumber)       (1<<(ledNumber*2))  //Output is set low (LED on)
#define   LED_PWM0(ledNumber)     (2<<(ledNumber*2))  //Output blinks at PWM0 rate
#define   LED_PWM1(ledNumber)     (3<<(ledNumber*2))  //Output blinks at PWM1 rate



class MP1092
{
  public:
     MP1092 ();
     static void SetPeriod (int MP1092_address, byte Channel, long Period);
     static void SetDutyCycle (int MP1092_address, byte Channel, float DutyCycle);
     static void LEDConfig (int MP1092_address, byte LEDNum, byte Mode);
     static byte ReadInputState (int MP1092_address, byte InputReg);

  private:
     static void WriteData(int MP1092_address, byte StartRegister, byte *DataPtr, byte NumOfBytes);
     static char ReadData(int MP1092_address, byte Register);
};

extern MP1092 LED_DRIVER;

#endif
